
npm -v
npm config set registry https://registry.npmmirror.com
npm install
npm run build-dev
image_version=`date +%Y%m%d%H%M`;
docker stop health_student_web || true;
docker rm health_student_web || true;
# 删除镜像
docker rmi -f $(docker images | grep telpo/health_student_web | awk '{print $3}')
# 构建telpo/mrp:$image_version镜像
docker build --no-cache . -t telpo/health_student_web:$image_version;
#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images;
docker run -p 8070:80 -d --restart=always --name health_student_web telpo/health_student_web:$image_version;
# 查看日志
docker logs health_student_web;